/*
 * Created on 6/20/2014.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

attribute highp vec4 aPosition;
attribute highp vec2 aTexCoords0;

varying highp vec2 vTexCoords0;

uniform mat4 uModelViewProjectionMatrix;

/**
 * Vertex shader for the fog-shaded effect using PTT (custom) vertex format.
 */
void main() {
	vTexCoords0 = aTexCoords0;
    gl_Position = uModelViewProjectionMatrix * aPosition;
}
