/*
 *  EROGShader_FogTrails.fsh
 *  RainTest
 *
 *  Created on 3/31/14.
 *  Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

precision highp float;

varying lowp vec4 vColor;
varying highp vec2 vTexCoords0;

uniform sampler2D uTexture0;
uniform highp vec2 uCenter;

/**
 * Default fragment shader supporting the PCT vertex format.
 */
void main() {
	
	vec4 color = texture2D(uTexture0, vTexCoords0) * vColor;
	gl_FragColor = vec4(0,0,0, color.a);
	
}
