/*
 * Created on 3/31/2014.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

precision highp float;

varying highp vec4 vColor;
varying highp vec2 vTexCoords0;

uniform highp sampler2D uTexture0;

/**
 * Default fragment shader supporting the PCT vertex format.
 */
void main() {
	
	gl_FragColor = texture2D(uTexture0, vTexCoords0) * vColor;

}
