/*
 * Created on 4/29/2014.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

attribute highp vec4 aPosition;
attribute highp vec4 aColor;

varying highp vec4 vColor;

uniform mat4 uModelViewProjectionMatrix;

/**
 * Vertex format: PC.
 */
void main() {
	
    vColor = aColor;
    gl_Position = uModelViewProjectionMatrix * aPosition;
	
}
