/*
 * Created on 3/31/2014.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

precision highp float;

varying highp vec4 vColor;
varying highp float vRegion;

uniform highp sampler2D uTexture0;
uniform highp vec4 uRegions[10];

void main() {

/*	gl_FragColor = colorVar; */
/*	gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0); */

	vec4 texCoords = uRegions[int(vRegion)];
	vec2 texCoord = vec2(mix(texCoords.s, texCoords.p, gl_PointCoord.x), mix(texCoords.t, texCoords.q, gl_PointCoord.y));
	gl_FragColor = texture2D(uTexture0, texCoord) * vColor;
	
/*	gl_FragColor = texture2D(uTexture0, gl_PointCoord) * vColor; */
/*	gl_FragColor = texture2D(uTexture0, gl_PointCoord); */
}
