/*
 * Created on 3/31/2014.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

attribute vec4			aPosition;
attribute mediump float	aPointSize;
attribute vec4			aColor;
attribute lowp float	aRegion;

varying lowp vec4		vColor;
varying lowp float		vRegion;

uniform mat4 uModelViewProjectionMatrix;

void main() {
    vColor = aColor;
	vRegion = aRegion;
    gl_Position = uModelViewProjectionMatrix * aPosition;
	gl_PointSize = aPointSize;
}
