/*
 * Created on 3/31/14.
 * Copyright (c) 2014 Yahoo Inc. All rights reserved.
 */

attribute highp vec4 aPosition;
attribute highp vec4 aColor;
attribute highp vec2 aTexCoords0;

varying highp vec4 vColor;
varying highp vec2 vTexCoords0;

uniform mat4 uModelViewProjectionMatrix;

/**
 * PCT vertex format.
 */
void main() {
    vColor = aColor;
	vTexCoords0 = aTexCoords0;
    gl_Position = uModelViewProjectionMatrix * aPosition;
}
